package org.honours.agents;

import org.expeditee.agents.DefaultAgent;
import org.expeditee.gui.Frame;
import org.expeditee.gui.FrameIO;
import org.expeditee.gui.MessageBay;
import org.honours.Main;
import org.honours.collection.Collection;
import org.honours.CollectionSpace.CollectionSpace;

public class CollectionSpaceAgent extends DefaultAgent {


	private Collection _collection;
	private CollectionSpace _collectionSpace;
	
	public Frame process(Frame frame) {
		
		_collection = Collection.findCollection(frame);
		System.err.println(frame.getName());
		System.err.println(_collection);
		
		if(_collection != null){
			if(_collection.getCollectionSpace() == null){
				//create a new collection space.
				_collectionSpace = new CollectionSpace(_collection);
				_collection.setCollectionSpace(_collectionSpace);
				_collectionSpace.generate();
			
				int index = Collection.getCollectionPosition(_collection);
				Main._collections.remove(index);
				Main._collections.add(index, _collection);
			
				return FrameIO.LoadFrame(_collectionSpace.getName() + "1");
			}
		}else{
			MessageBay.errorMessage("ERROR: Cannot generate a collection space as collection cannot be found.");
		}
		
		return null;
	}
	
	

}
